summaryrefslogtreecommitdiffstats
path: root/patches
diff options
context:
space:
mode:
authorPierre Rossi <pierre.rossi@digia.com>2013-05-14 16:07:56 +0200
committerPierre Rossi <pierre.rossi@digia.com>2013-05-15 13:13:49 +0200
commit128eab9b5bbfb7c1d84ef7af26fd355d054caf2b (patch)
tree6a16fd00276c2a1aa70ce5530aaaca89272cf361 /patches
parent58872bd2d5fc8533ce2f048cb5f88f45a26cf899 (diff)
Add an "update'n patch" script
And fix the shell_main_delegate include after things moved in chromium.
Diffstat (limited to 'patches')
-rwxr-xr-xpatches/update-and-patch-chromium.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/patches/update-and-patch-chromium.sh b/patches/update-and-patch-chromium.sh
new file mode 100755
index 000000000..a24d4d614
--- /dev/null
+++ b/patches/update-and-patch-chromium.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Script used temporarily to invoke gclient and apply our patches
+
+if [[ -z $CHROMIUM_SRC_DIR || ! -d $CHROMIUM_SRC_DIR ]]; then
+ echo "CHROMIUM_SRC_DIR not set or pointing to a non existing directory."
+ exit 1;
+fi
+
+PATCH_DIR=$PWD
+DEPOT_TOOLS=$CHROMIUM_SRC_DIR/../depot_tools
+
+cd $CHROMIUM_SRC_DIR
+echo "Entering $PWD"
+$DEPOT_TOOLS/gclient revert
+$DEPOT_TOOLS/gclient sync
+
+echo "Applying patches..."
+git am $PATCH_DIR/0001-My-local-fixes.patch
+git am $PATCH_DIR/0001-Temporary-patch-add-some-Qt-member-functions-to-Rend.patch
+
+cd tools/gyp
+echo "Entering $PWD"
+
+git am $PATCH_DIR/0001-GYP-Fix-build-with-toplevel-dir.patch